Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NonPersistent()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
Public Class PricingActionRowsSet_PopUp
    Inherits BaseObject

    Private _ListPriceHUFPercent As Double 'Ár %-os módosítása, itt az a % os érték kell, ami majd levonódik a termék árából!!
    Private _ListPriceHUFPercent_Change As Boolean
    Private _IsAdditionalDiscount As Boolean
    Private _IsAdditionalDiscount_Change As Boolean

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ListPriceHUFPercent_Change = False
        IsAdditionalDiscount_Change = False
    End Sub

    Property ListPriceHUFPercent As Double
        Get
            Return _ListPriceHUFPercent
        End Get
        Set(value As Double)
            SetPropertyValue("ListPriceHUFPercent", _ListPriceHUFPercent, value)
        End Set
    End Property
    Property ListPriceHUFPercent_Change As Boolean
        Get
            Return _ListPriceHUFPercent_Change
        End Get
        Set(value As Boolean)
            SetPropertyValue("ListPriceHUFPercent_Change", _ListPriceHUFPercent_Change, value)
        End Set
    End Property
    Property IsAdditionalDiscount As Boolean
        Get
            Return _IsAdditionalDiscount
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsAdditionalDiscount", _IsAdditionalDiscount, value)
        End Set
    End Property
    Property IsAdditionalDiscount_Change As Boolean
        Get
            Return _IsAdditionalDiscount_Change
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsAdditionalDiscount_Change", _IsAdditionalDiscount_Change, value)
        End Set
    End Property
End Class
